## Labkey Python interface ##
A Python3 urllib3 based interface for communication with the LabKey server. Update over official LabKey version is the use of client certificates to access potentially sensitive sites.

### Setup ###
Update `network-config-sample.json` with personal information needed to access the site (certificates, keys, username and password)
When using labkeyInterface, use the updated file as input to labkeyInterface constructor, ie
```python
ifc=labkeyInterface.labkeyInterface('/path/to/network-config.json')
```

### Use ###
`getFile.py` illustrates use to connect to site, collect image and perform image analysis.

### Generate private key without password 

To connect, a key without password is needed for compliance with `urllib3`. 
Generate it with:
```shell
openssl rsa -in [file1.key] -out [file2.key]
```
